#include "ConsoleCommand.h"

class character : public ConsoleCommand {
	public:
	virtual const char* GetName();
	virtual const char* GetHelp();
	virtual void Activate(const char* CommandLine);
};
class wolconn : public ConsoleCommand {
	public:
	virtual const char* GetName();
	virtual const char* GetHelp();
	virtual void Activate(const char* CommandLine);
};
class spectate : public ConsoleCommand {
	public:
	virtual const char* GetName();
	virtual const char* GetHelp();
	virtual void Activate(const char* CommandLine);
};
class kill : public ConsoleCommand {
	public:
	virtual const char* GetName();
	virtual const char* GetHelp();
	virtual void Activate(const char* CommandLine);
};
class bring : public ConsoleCommand {
	public:
	virtual const char* GetName();
	virtual const char* GetHelp();
	virtual void Activate(const char* CommandLine);
};
class refill : public ConsoleCommand {
	public:
	virtual const char* GetName();
	virtual const char* GetHelp();
	virtual void Activate(const char* CommandLine);
};
class showpos : public ConsoleCommand {
	public:
	virtual const char* GetName();
	virtual const char* GetHelp();
	virtual void Activate(const char* CommandLine);
};
class setpos : public ConsoleCommand {
	public:
	virtual const char* GetName();
	virtual const char* GetHelp();
	virtual void Activate(const char* CommandLine);
};
class fly : public ConsoleCommand {
	public:
	virtual const char* GetName();
	virtual const char* GetHelp();
	virtual void Activate(const char* CommandLine);
};
class Goto : public ConsoleCommand {
	public:
	virtual const char* GetName();
	virtual const char* GetHelp();
	virtual void Activate(const char* CommandLine);
};
class donate2 : public ConsoleCommand {
	public:
	virtual const char* GetName();
	virtual const char* GetHelp();
	virtual void Activate(const char* CommandLine);
};
class givemoney : public ConsoleCommand {
	public:
	virtual const char* GetName();
	virtual const char* GetHelp();
	virtual void Activate(const char* CommandLine);
};
class Get_Kills_and_Deaths : public ConsoleCommand {
	public:
	virtual const char* GetName();
	virtual const char* GetHelp();
	virtual void Activate(const char* CommandLine);
};
class donate_building2 : public ConsoleCommand {
	public:
	virtual const char* GetName();
	virtual const char* GetHelp();
	virtual void Activate(const char* CommandLine);
};
class Destroy_Bot : public ScriptImpClass {
	void Created(GameObject *obj);
	void Custom(GameObject *obj,int message, int param, GameObject *sender);
	void Timer_Expired(GameObject *obj,int number);
	bool check;
	bool once;
	bool check2;
};
class Destroy_Bots : public ScriptImpClass {
	void Created(GameObject *obj);
	void Timer_Expired(GameObject *obj,int number);
};
class RGHProtect : public ScriptImpClass {
	void Created(GameObject *obj);
	void Timer_Expired(GameObject *obj, int number);
	void Custom(GameObject *obj, int message, int param, GameObject *sender);
	GameObject *This;
	int done;
	int ID;
};
class Upgraded : public ScriptImpClass {
	void Created(GameObject *obj);
	void Timer_Expired(GameObject *obj, int number);
	void Killed(GameObject *obj, GameObject *shooter);
	int Upgraded1;
	int Upgraded2;
	int Upgraded3;
	int Upgraded4;
	bool Died;
	bool DoneOnce;
	bool Create;
	int l4s;
	int l3s;
	int l2s;
	int l1s;
	int l4k;
	int l3k;
	int l2k;
	int l1k;
};
class speed : public ScriptImpClass {
	void Created(GameObject *obj);
	void Timer_Expired(GameObject *obj, int number);
	Vector3 p;
};
class Prevent : public ScriptImpClass {
	void Created(GameObject *obj);
	void Timer_Expired(GameObject *obj, int number);
};
void kill_player(int obj);
GameObject *As_ScriptableGameObj2(GameObject *obj);
void FDSMessage2(const char* Message);